testing::internal::AssertHelper Class Reference

`#include <gtest.h>`

## Public Member Functions

| AssertHelper (TestPartResult::Type type, const char *file, int line, const char *message)
| ~AssertHelper ()
void | operator= (const Message &message) const

## Detailed Description

Definition at line 16388 of file gtest.h.

## Constructor & Destructor Documentation

## AssertHelper()

testing::internal::AssertHelper::AssertHelper | ( | TestPartResult::Type | type,
|  | const char * | file,
|  | int | line,
|  | const char * | message
| ) |  |

## ~AssertHelper()

testing::internal::AssertHelper::~AssertHelper | ( |  | ) |

## Member Function Documentation

## operator=()

void testing::internal::AssertHelper::operator= | ( | const Message & | message | ) | const

The documentation for this class was generated from the following file:

- test/eclipse-cygwin/lib/gtest/gtest.h